
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>简单高效易用Windows/Linux/ARM/Android/iOS平台实现RTMP推送组件EasyRTMP-Android MediaCodec硬编码流程介绍 / 憋错料</title>

    <meta name="description" content="简单高效易用Windows/Linux/ARM/Android/iOS平台实现RTMP推送组件EasyRTMP-Android MediaCodec硬编码流程介绍 音视频流媒体硬解码是指不使用CPU进行编码,使用显卡GPU,专用的DSP.FPGA.ASIC芯片等硬件进行编码.编码框架Video ToolBox和AudioToolbox. EasyRTMP是结合了多种音视频缓存及网络技术的一个rtmp直播推流端,包括:圆形缓冲区(circular buffer).智能丢帧.自动重连.rtmp协议等等多种技术,能够非常有效地适应各种平台(Windows.Linux.ARM.Android.iOS),各种网络环境(有线.wifi.4G),以及各种情况下的直播恢复">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">简单高效易用Windows/Linux/ARM/Android/iOS平台实现RTMP推送组件EasyRTMP-Android MediaCodec硬编码流程介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>音视频流媒体硬解码是指不使用CPU进行编码，使用显卡GPU,专用的DSP、FPGA、ASIC芯片等硬件进行编码。编码框架Video ToolBox和AudioToolbox。</p>
<p>EasyRTMP是结合了多种音视频缓存及网络技术的一个rtmp直播推流端，包括：圆形缓冲区(circular buffer)、智能丢帧、自动重连、rtmp协议等等多种技术，能够非常有效地适应各种平台（Windows、Linux、ARM、Android、iOS），各种网络环境（有线、wifi、4G），以及各种情况下的直播恢复（服务器重启、网络重启、硬件设备重启）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMDkvZDUyMzI3NWU4MGRlYzM2N2ViZDg0MDZhNjQ1NTQxYWQucG5n.jpg" /></p>
<h2>EasyRTMP-Android MediaCodec硬编码流程</h2>
<h4>解决问题</h4>
<p>EasyRTMP-Android的硬编码的流程如下：<br />1、初始化编码器</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvMDk1ODU2MzZlZWEzODZkYmZhYzNiMTNjMzc3OTgxOTEucG5n.jpg" /></p>
<p>2、配置编码器参数</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvMjg0NGE5NjBhZTJiMmIzNzkyNzk3N2ZjZWE5ZDg4MTcucG5n.jpg" /></p>
<p>3、开始编码</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvZDQ0NDQxZmIyNjBjYWVmNzlhMTg0MWE3OTQxNTU5NTEucG5n.jpg" /></p>
<p>4、获取编码器的输入缓存inputBuffers 和输出缓存outputBuffers</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvN2RlOTE2ZmVmOTZlNjk0NWE0NTM0NmM1MTFhZWYwZjcucG5n.jpg" /></p>
<p>5、将要编解码的数据拷贝到empty buffer，然后放入input缓冲区队列</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvOTg0NWM2ODZjMjU2N2IxYTliZjRhY2JmYTAzODAyZGMucG5n.jpg" /></p>
<p>6、子线程中不停的编码，并清空输入缓存区</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvNmRlZmRhYTFmNTIwMzcyMWY1ZWI4NWNkYTM0YTA3NzQucG5n.jpg" /></p>
<p>7、停止编码并释放编码资源占用</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvMjEyLjY0LjM0LjE2NToxMDE4NC91cGxvYWRzLzIwMTkvMTAvZjg5OGViNjhmYWM3OTJiZDQ3MTM2MTg4N2VjZTcyZDAucG5n.jpg" /></p>

<p>原文地址：https://www.cnblogs.com/TSINGSEE/p/11806108.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-11 05:42:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/tool/" title="tool">tool</a>, <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/%e5%9b%be%e7%89%87/" title="图片">图片</a>, <a href="https://www.biecuoliao.com/tag/%e8%b5%84%e6%ba%90/" title="资源">资源</a>, <a href="https://www.biecuoliao.com/tag/cpu/" title="cpu">cpu</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%96%e7%a0%81/" title="编码">编码</a>, <a href="https://www.biecuoliao.com/tag/%e6%b5%81%e7%a8%8b/" title="流程">流程</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.biecuoliao.com/tag/media/" title="media">media</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>简单高效易用Windows/Linux/ARM/Android/iOS平台实现RTMP推送组件EasyRTMP-Android MediaCodec硬编码流程介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jNL8g0.html" rel="bookmark">简单、高效、易用的全平台（Windows&sol;Linux&sol;ARM&sol;Android&sol;iOS）web实现RTMP推送组件EasyRTMP-Android BUS传递消息过程介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景分析 RTMP是Real Time Messaging Protocol(实时消息传输协议)的首字母缩写,该协议基于TCP,是一个协议族,包括RTMP基本协议及RTMP/RTMPS/RTMPE等多种变种.RTMP是一种设计用来进行实时数据通信的网络下ieyi,主要用来在Flash/AIR平台和支持RTMP协议的流媒体/交互服务器之间进行音视频和数据通信.RTMP推流,就是将直播内容推送到服务器的过程. EasyRTMP-Android BUS传递消息过程 提出问题EasyRTMP-Andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e9o5J0.html" rel="bookmark">&period;net平台借助第三方推送服务在推送Android消息（极光推送）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				.net平台借助第三方推送服务在推送Android消息(极光推送) 最近做的.net项目(Windows Service)需要向Android手机发送推送消息,真是有点困难,没有搞过就不停的搜文档,最后看到了一个开源项目PushSharp,可以在.net平台推送IOS,Android,Windows Phone等设备消息,大喜,然后先做了IOS的,成功了,但是做Android的时候遇到了问题,一直推送不成功,程序执行了,但是推送一直出不来,后来费劲的在网上搜,没有找到,最后放弃使用这种推送And			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0exw8JM.html" rel="bookmark">&period;net平台借助第三方推送服务在推送Android，IOS消息（极光推送）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近做的.net项目(Windows Service)需要向Android手机发送推送消息,真是有点困难,没有搞过就不停的搜文档,最后看到了一个开源项目PushSharp,可以在.net平台推送IOS,Android,Windows Phone等设备消息,大喜,然后先做了IOS的,成功了,但是做Android的时候遇到了问题,一直推送不成功,程序执行了,但是推送一直出不来,后来费劲的在网上搜,没有找到,最后放弃使用这种推送Android,另寻出路,随后找到了一种C2DM云端推送功能,但是问题又出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lkNGXM.html" rel="bookmark">Android 基于Netty的消息推送方案之概念和工作原理&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇文章中我讲述了关于消息推送的方案以及一个基于Netty实现的一个简单的Hello World.为了更好的理解Hello World中的代码,今天我来解说一下关于Netty中一些概念和工作原理的内容,假设你认为本篇文章有些枯燥.请先去阅读&lt;Android 基于Netty的消息推送方案之Hello World(一)&gt; ChannelEvent Netty是基于事件驱动的,就是我们上文提到的.发生什么事.就通知&quot;有关部门&quot;. 所以.不难理解.我们自己的业务代码中,一定有跟这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bL1G94.html" rel="bookmark">Android 基于Netty的消息推送方案之字符串的接收和发送（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇文章中&lt;Android 基于Netty的消息推送方案之概念和工作原理(二)&gt; ,我们介绍过一些关于Netty的概念和工作原理的内容,今天我们先来介绍一个叫做ChannelBuffer的东东. ChannelBuffer Netty中的消息传递,都必须以字节的形式,以ChannelBuffer为载体传递.简单的说,就是你想直接写个字符串过去,对不起,抛异常.虽然,Netty定义的writer的接口参数是Object的,这可能也是会给新上手的朋友容易造成误会的地方.Netty源码中,是这样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPBANB3.html" rel="bookmark">Android 基于Netty的消息推送方案之Hello World&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				消息推送方案(轮询.长连接) 轮询 轮询:比较简单的,最容易理解和实现的就是客户端去服务器上拉信息,信息的及时性要求越高则拉信息的频率越高.客户端拉信息的触发可以是一些事件,也可以是一个定时器,不断地去查询服务器.所以这个方案的弊端也是显而易见的,在轮询的频率较高时,服务器端的压力很大,通讯的流量也很大,并且大部分时间都是做的无用功. 长连接 长连接:客户端和服务端维持一个长连接,服务端在有信息推送的时候,借助这个连接把信息发送到客户端.这个方案的优点是信息推送的及时性很高,基本是实时的,并且除			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YpgdJM.html" rel="bookmark">在Android应用程序中实现推送通知</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				几乎每一个应用程序的一个重要特性是支持推送通知的能力.使用推送通知,您可以更新用户,而不需要应用程序在任何时候运行或轮询服务器, 避免潜在的电池电量不足. 随着火力点云信息的介绍(FCM),谷歌使得在Android应用程序中实现推送通知变得容易了一点.FCM是谷歌云消息(GCM)的新版本和改进版本,您可以使用它将远程通知发送到客户机应用程序.对于将瞄准多个平台或需要利用先进的推操作(如分段推送)的应用程序,我们可以使用带有Azure通知集线器的FCM. 与GCM不同,FCM负责为您提供基本的消息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47EpnR0.html" rel="bookmark">Android 基于Netty的消息推送方案&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				消息推送方案(轮询.长连接) 轮询 轮询:比较简单的,最容易理解和实现的就是客户端去服务器上拉信息,信息的及时性要求越高则拉信息的频率越高.客户端拉信息的触发可以是一些事件,也可以是一个定时器,不断地去查询服务器.所以这个方案的弊端也是显而易见的,在轮询的频率较高时,服务器端的压力很大,通讯的流量也很大,并且大部分时间都是做的无用功. 长连接 长连接:客户端和服务端维持一个长连接,服务端在有信息推送的时候,借助这个连接把信息发送到客户端.这个方案的优点是信息推送的及时性很高,基本是实时的,并且除			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPNQl13.html" rel="bookmark">SignalR推送服务在Android的实现 SignalA</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SignalA是老外写的用于实现.net端推送消息至安卓端的实现,支持版本为android 2.3或以上,由于我的版本最低是2.2,所以只有把源码下下来自己改,如果你觉得太多了可自己编译成jar引用,本人不才,对java不是很熟悉,如果此版本中有错误还请大家指出来,此图显示的是安卓2.2与4.0的版本. chat_hub代码: [html] view plaincopyprint? &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&g			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0Y7lq4.html" rel="bookmark" class="title">重构第9天：提取接口&lpar;Extract Interface&rpar;</a>
					<div>
						理解:提取接口的意思是,多于一个类共同使用某个类中的方法或属性,那么我们可以把这些方法和属性提出来,作为一个单独的接口.这样的好处是解除代码间的依赖,降低耦合性. 详解: 先看重构前的代码: 1 pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZLWmM.html" rel="bookmark" class="title">my-innodb-heavy-4G&period;cnf配置文件注解</a>
					<div>
						#BEGIN CONFIG INFO #DESCR: 4GB RAM, InnoDB only, ACID, few connections, heavy queries  #TYPE: SYSTEM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/7MVj2kM.html" rel="bookmark" class="title">智能指针的模拟实现shared&lowbar;ptr 循环引用 定置删除器</a>
					<div>
						auto_ptr与scoped_ptr的实现见本人的上篇博客. 三.shared_ptr shared_ptr的实现原理是通过引用计数来实现,只有当引用计数为1时才释放空间,否则只需将引用计数减1.拷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWwVmGM.html" rel="bookmark" class="title">马来西亚沙巴州沉船事件获救中国游客抵达哥打基纳巴卢d9</a>
					<div>
						发展要素南移 天心区黄金商业中心崛起 为此,&lt;意见&gt;强调以职业属性和岗位需求为基础,注重考察专业技术人才的专业性.技术性.实践性.创造性,突出对创新能力的评价:注重考核专业技术人才履行岗位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAoaG3.html" rel="bookmark" class="title">关于SDWebimage的内部实现原理</a>
					<div>
						SDWebimage的内部实现原理各路大神都已经剖析的很透彻了 我也来发一下希望大家共同讨论学习 1.入口 setImageWithURL:placeholderImage:options: 会先把  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjZOL0.html" rel="bookmark" class="title">一个有趣的问题&mdash;&mdash;HTTP是&OpenCurlyDoubleQuote;超文本传输协议&rdquo;还是&OpenCurlyDoubleQuote;超文本转移协议&rdquo;</a>
					<div>
						最近在看&lt;HTTP图解&gt;这本书,书中提到了对国内对HTTP协议名称的翻译问题,并且给出了一些网友讨论的原稿链接,我看了一下觉得挺有意思的,另外我本人也觉得翻译对于理解协议本身非常重要,就整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDwVDM.html" rel="bookmark" class="title">MySQL 改动用户password及重置rootpassword</a>
					<div>
						为数据库用户改动password是DBA比較常见的工作之中的一个.对于MySQL用户账户的password改动,有几种不同的方式.推荐的方式使用加密函数来改动password. 本文主要描写叙述了通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYnGr3.html" rel="bookmark" class="title">perl---window下Mojolicious框架morbo启动后修改templates不会实时更新</a>
					<div>
						不知道是不是只有我的是这样 呵呵... PERL\mojoka\my_app\script&gt;morbo -h Usage: morbo [OPTIONS] [APPLICATION]   mor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZ1QPM.html" rel="bookmark" class="title">DEV控件的分页控件，实现勾选复选框</a>
					<div>
						/// &lt;summary&gt; /// 单元格的点击事件 /// &lt;/summary&gt; /// &lt;param name=&quot;sender&quot;&gt;&lt;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWPLb3.html" rel="bookmark" class="title">有关CLR的初学小整理&lpar;可能理解不深刻，望大牛指出&rpar;</a>
					<div>
						1. .Net程序通过CLR去加载运行管理代码, 加载CLR的进程成为“宿主”,通常操作系统加载. 加载CLR的进程也可以为某个DLL,也成为“宿主” 2. 宿主接口使宿主能够对运行库的更多方面进行控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDBVy0.html" rel="bookmark" class="title">Android  showStatusIcon on inactive InputConnection异常</a>
					<div>
						在开发的时候突然发现在输入文本框中点击输入法的删除按钮,发现app莫名其妙退出 了.log信息如下: 01-31 16:57:59.524: W/IInputConnectionWrapper(125 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koyBb0.html" rel="bookmark" class="title">关于btn</a>
					<div>
						适配图片 UIImage *buttonImage = [UIImage imageNamed:@&quot;go_work_green&quot;]; UIImage *stretchableBut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35weyjM.html" rel="bookmark" class="title">iOS 内存管理（一）之基础知识介绍</a>
					<div>
						1,什么是引用计数 所有OC对象都有一个计数器,叫做引用计数,引用计数就是目前有几个对象在使用该对象(持有该对象的引用): 2,什么是对象所有权 A对象拥有B对象的引用,A对象拥有B对象的所有权: 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZeoZ0.html" rel="bookmark" class="title">Migrating from MapReduce 1 &lpar;MRv1&rpar; to MapReduce 2 &lpar;MRv2&comma; YARN&rpar;&period;&period;&period;</a>
					<div>
						This is a guide to migrating from Apache MapReduce 1 (MRv1) to the Next Generation MapReduce (MRv2 o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1r7E0.html" rel="bookmark" class="title">iClap分享：如何优雅的在 APP 中实现测试？</a>
					<div>
						开发团队常面临的问题有:内测 APP 时测出一堆 bug 写了很多文档,交到下一个人手中时问题总是不够清晰明了;版本发布公测时只能分发原生版本给团队和用户,无法快速反馈测试和体验结果;使用第三方工具, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvZRB3.html" rel="bookmark" class="title">网易跟帖为什么火</a>
					<div>
						研究新闻客户端竞品分析过程中,对网易跟帖的生态系统和网易网友着实有兴趣,查了些资料和网友的看法,梳理了下思路,总结如下: 这要从网易跟帖的产生到历史发展开始说起(具体了解可看http://www.sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGELDM.html" rel="bookmark" class="title">结对项目：四则运算</a>
					<div>
						结对项目:四则运算 结对成员:沈柏杉 .程媛媛 1 #include&lt;stdio.h&gt; 2 #include&lt;math.h&gt; 3 int main() 4 { 5 int x, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neNkjM.html" rel="bookmark" class="title">Spark发行笔记8：解读Spark Streaming RDD的全生命周期</a>
					<div>
						本节主要内容: 一.DStream与RDD关系的彻底的研究 二.StreamingRDD的生成彻底研究 Spark Streaming RDD思考三个关键的问题: RDD本身是基本对象,根据一定时间定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRqG2M.html" rel="bookmark" class="title">vim 常用操作自我小结</a>
					<div>
						vim 基本操作太多了,多得根本记不过来,还是对一些比较常用的操作做一个小笔记,尤其是替换字符串操作. (1)进入 vim 编辑器 vim filename:打开或新建文件,并将光标置于第一行首 vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47zWoo3.html" rel="bookmark" class="title">常用运放选型一览表</a>
					<div>
						运放选型也不容易,很多参数理解的不是很透彻,型号种类那么多,得选性能好的,还不能太偏,方便购买,同时价格还要合适.电子元件这东西基本上算是一分钱一分货了,主要还是选择适合的,否则再贵的元件在设计中也无 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
